import { ImageTransformOptions } from '@wix/image-kit';
export declare function getScaledToFillImageUrl(wixMediaIdentifier: string, targetWidth: number, targetHeight: number, options: ImageTransformOptions): string;
export declare function getScaledToFitImageUrl(wixMediaIdentifier: string, targetWidth: number, targetHeight: number, options: ImageTransformOptions): string;
export declare function getCroppedImageUrl(wixMediaIdentifier: string, cropX: number, cropY: number, cropWidth: number, cropHeight: number, targetWidth: number, targetHeight: number, options?: ImageTransformOptions): string;
export declare function getImageUrl(val: string): {
    id: string;
    url: string;
    height: number;
    width: number;
    altText?: string;
    filename?: string;
};
export declare function getVideoUrl(val: string, resolution?: VideoResolution): {
    id: string;
    url: string;
    thumbnail: string;
    filename?: string;
};
export declare function getAudioUrl(val: string): {
    id: string;
    url: string;
    duration: number;
    filename?: string;
};
export declare function getDocumentUrl(val: string): {
    id: string;
    url: string;
    filename?: string;
};
export declare function decodeText(s: string): string;
export declare enum VideoResolution {
    MOBILE = "360p",
    LOW = "480p",
    MID = "720p",
    HIGH = "1080p"
}
