import { RefreshToken, Tokens } from './oauth2/types.js';
import { isVisitorCookieWarmedUp, preWarmVisitorCookie } from './pre-warm-cookie.js';
export declare function SiteSessionAuth(config: {
    clientId: string;
    publicKey?: string;
    tokens?: Tokens;
}): {
    generateVisitorTokens: (tokens?: Partial<Tokens>) => Promise<Tokens>;
    renewToken: (refreshToken: RefreshToken) => Promise<Tokens>;
    getAuthHeaders: () => Promise<{
        headers: {
            Authorization: string;
        };
    }>;
    setTokens: (tokens: Tokens) => void;
    loggedIn: () => boolean;
    getTokens: () => Tokens;
    isSessionSynced: typeof isVisitorCookieWarmedUp;
    syncToWixPages: typeof preWarmVisitorCookie;
    shouldUseCDN: boolean;
};
export interface TokenResponse {
    access_token: string;
    expires_in: number;
    refresh_token: string | null;
    token_type: string;
    scope?: string | null;
}
